package com.kamco.cd.kamcoback.postgres.repository.menu;

import com.kamco.cd.kamcoback.postgres.entity.MenuEntity;
import java.util.List;

public interface MenuRepositoryCustom {

  List<MenuEntity> getFindAll();

  /**
   * 권한별 메뉴 목록
   *
   * @param role
   * @return
   */
  List<MenuEntity> getFindByRole(String role);

  /**
   * 사용자 role 기준으로 접근 가능한 메뉴 URL 목록 조회
   *
   * @param role
   * @return
   */
  List<MenuEntity> findAllowedMenuUrlsByRole(String role);

  /**
   * url별 역할
   *
   * @param requestPath
   * @return
   */
  List<MenuEntity> findMenusByRequestPath(String requestPath);
}
